- Qt 6.6
- Qt Wayland Compositor
- C++ Classes
- QWaylandOutputMode
- Qt Wayland Compositor | Commercial or GPLv3

# QWaylandOutputMode Class

The QWaylandOutputMode class holds the resolution and refresh rate of an output. More...

Header: | #include <QWaylandOutputMode>
CMake: | find_package(Qt6 REQUIRED COMPONENTS WaylandCompositor) target_link_libraries(mytarget PRIVATE Qt6::WaylandCompositor)
qmake: | QT += waylandcompositor

- List of all members, including inherited members

## Public Functions

bool | isValid() const
int | refreshRate() const
QSize | size() const
bool | operator!=(const QWaylandOutputMode &other) const
bool | operator==(const QWaylandOutputMode &other) const

## Detailed Description

QWaylandOutputMode holds the resolution and refresh rate of an output. Resolution is expressed in pixels and refresh rate is measured in mHz.

See also QWaylandOutput.

## Member Function Documentation

### bool QWaylandOutputMode::isValid() const

Returns whether this mode contains a valid resolution and refresh rate.

### int QWaylandOutputMode::refreshRate() const

Returns the refresh rate in mHz.

### QSize QWaylandOutputMode::size() const

Returns the resolution in pixels.

### bool QWaylandOutputMode::operator!=(const QWaylandOutputMode &other) const

Returns `true` if this mode is not equal to other, otherwise returns `false`.

### bool QWaylandOutputMode::operator==(const QWaylandOutputMode &other) const

Returns `true` if this mode is equal to other, otherwise returns `false`.